Replace RealCall settings
curl --request PUT \
--url https://app.api.os.realitydefender.xyz/api/v1/realcall/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"retentionPolicy": "DELETE",
"preprocessingMode": "ALL",
"operationMode": "REALTIME",
"isCcfEnabled": true,
"retentionPeriod": 604800
}
'import requests
url = "https://app.api.os.realitydefender.xyz/api/v1/realcall/settings"
payload = {
"retentionPolicy": "DELETE",
"preprocessingMode": "ALL",
"operationMode": "REALTIME",
"isCcfEnabled": True,
"retentionPeriod": 604800
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
retentionPolicy: 'DELETE',
preprocessingMode: 'ALL',
operationMode: 'REALTIME',
isCcfEnabled: true,
retentionPeriod: 604800
})
};
fetch('https://app.api.os.realitydefender.xyz/api/v1/realcall/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.api.os.realitydefender.xyz/api/v1/realcall/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'retentionPolicy' => 'DELETE',
'preprocessingMode' => 'ALL',
'operationMode' => 'REALTIME',
'isCcfEnabled' => true,
'retentionPeriod' => 604800
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.api.os.realitydefender.xyz/api/v1/realcall/settings"
payload := strings.NewReader("{\n \"retentionPolicy\": \"DELETE\",\n \"preprocessingMode\": \"ALL\",\n \"operationMode\": \"REALTIME\",\n \"isCcfEnabled\": true,\n \"retentionPeriod\": 604800\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app.api.os.realitydefender.xyz/api/v1/realcall/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"retentionPolicy\": \"DELETE\",\n \"preprocessingMode\": \"ALL\",\n \"operationMode\": \"REALTIME\",\n \"isCcfEnabled\": true,\n \"retentionPeriod\": 604800\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.api.os.realitydefender.xyz/api/v1/realcall/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"retentionPolicy\": \"DELETE\",\n \"preprocessingMode\": \"ALL\",\n \"operationMode\": \"REALTIME\",\n \"isCcfEnabled\": true,\n \"retentionPeriod\": 604800\n}"
response = http.request(request)
puts response.read_body{
"organizationId": "2nYn7qqkM5678Ks99ykvmZAr7pz",
"retentionPolicy": "DELETE",
"retentionPeriod": 604800,
"preprocessingMode": "ALL",
"operationMode": "REALTIME",
"aggregationMode": "CONCLUSIVE",
"isCcfEnabled": true,
"createdAt": "2026-07-01T12:00:00Z",
"updatedAt": "2026-07-01T12:00:00Z"
}{
"code": "BAD_REQUEST",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "UNAUTHORIZED",
"message": "Invalid or missing token",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "FORBIDDEN",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "UNPROCESSABLE_ENTITY",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "VALIDATION_ERROR",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}RealCall
Replace RealCall settings
Replaces the calling organization’s RealCall configuration. A full replace, not a patch: every field except retentionPeriod is required. Concurrent edits are last-write-wins.
PUT
/
api
/
v1
/
realcall
/
settings
Replace RealCall settings
curl --request PUT \
--url https://app.api.os.realitydefender.xyz/api/v1/realcall/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"retentionPolicy": "DELETE",
"preprocessingMode": "ALL",
"operationMode": "REALTIME",
"isCcfEnabled": true,
"retentionPeriod": 604800
}
'import requests
url = "https://app.api.os.realitydefender.xyz/api/v1/realcall/settings"
payload = {
"retentionPolicy": "DELETE",
"preprocessingMode": "ALL",
"operationMode": "REALTIME",
"isCcfEnabled": True,
"retentionPeriod": 604800
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
retentionPolicy: 'DELETE',
preprocessingMode: 'ALL',
operationMode: 'REALTIME',
isCcfEnabled: true,
retentionPeriod: 604800
})
};
fetch('https://app.api.os.realitydefender.xyz/api/v1/realcall/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.api.os.realitydefender.xyz/api/v1/realcall/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'retentionPolicy' => 'DELETE',
'preprocessingMode' => 'ALL',
'operationMode' => 'REALTIME',
'isCcfEnabled' => true,
'retentionPeriod' => 604800
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.api.os.realitydefender.xyz/api/v1/realcall/settings"
payload := strings.NewReader("{\n \"retentionPolicy\": \"DELETE\",\n \"preprocessingMode\": \"ALL\",\n \"operationMode\": \"REALTIME\",\n \"isCcfEnabled\": true,\n \"retentionPeriod\": 604800\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app.api.os.realitydefender.xyz/api/v1/realcall/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"retentionPolicy\": \"DELETE\",\n \"preprocessingMode\": \"ALL\",\n \"operationMode\": \"REALTIME\",\n \"isCcfEnabled\": true,\n \"retentionPeriod\": 604800\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.api.os.realitydefender.xyz/api/v1/realcall/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"retentionPolicy\": \"DELETE\",\n \"preprocessingMode\": \"ALL\",\n \"operationMode\": \"REALTIME\",\n \"isCcfEnabled\": true,\n \"retentionPeriod\": 604800\n}"
response = http.request(request)
puts response.read_body{
"organizationId": "2nYn7qqkM5678Ks99ykvmZAr7pz",
"retentionPolicy": "DELETE",
"retentionPeriod": 604800,
"preprocessingMode": "ALL",
"operationMode": "REALTIME",
"aggregationMode": "CONCLUSIVE",
"isCcfEnabled": true,
"createdAt": "2026-07-01T12:00:00Z",
"updatedAt": "2026-07-01T12:00:00Z"
}{
"code": "BAD_REQUEST",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "UNAUTHORIZED",
"message": "Invalid or missing token",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "FORBIDDEN",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "UNPROCESSABLE_ENTITY",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}{
"code": "VALIDATION_ERROR",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"issue": "Must be a valid email address."
}
]
}Authorizations
BearerAuthApiKeyAuth
Body
application/json
Full-replace configuration update. aggregationMode is not accepted: it is not client-editable and the stored value is kept. Concurrent edits are last-write-wins.
Response
The updated settings.
RealCall configuration for the calling organization.